Summary:	A pygments lexer for pytest output
Summary(pl.UTF-8):	Lexer pygments do wyjścia pytesta
Name:		python3-pygments_pytest
Version:	2.3.0
Release:	3
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pygments-pytest/
Source0:	https://files.pythonhosted.org/packages/source/p/pygments-pytest/pygments_pytest-%{version}.tar.gz
# Source0-md5:	c70064a210ecf18f376e0c21fbf795f7
URL:		https://pypi.org/project/pygments-pytest/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides a pygments lexer called pytest.

%description -l pl.UTF-8
Ta biblioteka udostępnia lexer pygments o nazwie pytest.

%prep
%setup -q -n pygments_pytest-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py3_sitescriptdir}/pygments_pytest.py
%{py3_sitescriptdir}/__pycache__/pygments_pytest.cpython-*.py[co]
%{py3_sitescriptdir}/pygments_pytest-%{version}-py*.egg-info
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pygments_pytest.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ca653bf
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 2ebd353
- python 3.13 rebuild

* Sun Jan 15 2023 Jakub Bogusz <qboosh@pld-linux.org> 805e25c
- updated to 2.3.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> fcfcd85
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 0b20a0f
- Release 4 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> b71d0fd
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> de8286f
- rebuild with python 3.10

* Sat Mar 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 5d64160
- updated to 2.2.0

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c528b08
- release 2 (by relup.sh)

* Wed Sep 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 86aa970
- python-pygments_pytest.spec updated to 2.1.0 for python 3.6+

* Wed Sep 16 2020 Jakub Bogusz <qboosh@pld-linux.org> e1d3c87
- new

